Name:    kremotecontrol 
Summary: KDE frontend for your remote controls 
Version: 4.11.4
Release: 1%{?dist}

License: GPLv2+
URL:     http://utils.kde.org/projects/%{name}
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/%{version}/src/%{name}-%{version}.tar.xz

## upstreamable patches
# lib namelink_skip
Patch50: kremotecontrol-4.7.90-namelink_skip.patch

BuildRequires: desktop-file-utils
BuildRequires: kdelibs4-devel >= %{version}
BuildRequires: kdebase-workspace-devel >= %{version}
BuildRequires: pkgconfig(QtXmlPatterns)

# when split occured
Conflicts: kdeutils-common < 6:4.7.80

Obsoletes: kdeutils-kremotecontrol < 6:4.7.80
Provides:  kdeutils-kremotecontrol = 6:%{version}-%{release}

Requires: %{name}-libs%{?_isa} = %{version}-%{release}
Requires: kde-runtime%{?_kde4_version: >= %{_kde4_version}}

%description
KRemoteControl (formerly known as KDELirc) is a KDE frontend for your
remote controls. It allows to configure actions for button presses on
remotes. All types of remotes supported by the Solid module in the KDE
platform are also supported by KRemoteControl (e.g. with the Linux
Infrared Remote Control system (LIRC) as backend).

%package libs
Summary: Runtime libraries for %{name} 
Requires: %{name} = %{version}-%{release}
Obsoletes: kdeutils-kremotecontrol-libs < 6:4.7.80
Provides:  kdeutils-kremotecontrol-libs = 6:%{version}-%{release}
%description libs
%{summary}.


%prep
%setup -q -n %{name}-%{version}

%patch50 -p1 -b .namelink_skip


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang %{name} --with-kde --without-mo --all-name


%check
desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/krcdnotifieritem.desktop


%post
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:

%postun
if [ $1 -eq 0 ] ; then
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
fi

%files -f %{name}.lang
%doc COPYING
%doc AUTHORS README
%{_kde4_appsdir}/kremotecontrol/
%{_kde4_appsdir}/kremotecontroldaemon/
%{_kde4_datadir}/kde4/services/plasma-engine-kremotecontrol.desktop
%{_kde4_datadir}/kde4/services/kcm_remotecontrol.desktop
%{_kde4_datadir}/kde4/services/kded/kremotecontroldaemon.desktop
%{_kde4_iconsdir}/hicolor/*/devices/infrared-remote.*
%{_kde4_libdir}/kde4/kcm_remotecontrol.so
%{_kde4_libdir}/kde4/kded_kremotecontroldaemon.so
%{_kde4_libdir}/kde4/plasma_engine_kremoteconrol.so
%{_kde4_datadir}/kde4/services/kremotecontrolbackends/
%{_kde4_datadir}/kde4/servicetypes/kremotecontrolmanager.desktop
%{_kde4_libdir}/kde4/kremotecontrol_lirc.so
%{_kde4_bindir}/krcdnotifieritem
%{_kde4_datadir}/applications/kde4/krcdnotifieritem.desktop
%{_kde4_iconsdir}/hicolor/*/*/krcd*.*

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files libs
%{_kde4_libdir}/liblibkremotecontrol.so.1*


%changelog
* Fri Dec 13 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.4-1
- 4.11.4

* Sat Nov 02 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.3-1
- 4.11.3

* Sat Sep 28 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.2-1
- 4.11.2

* Wed Sep 04 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.1-1
- 4.11.1

* Thu Aug 08 2013 Than Ngo <than@redhat.com> - 4.11.0-1
- 4.11.0

* Thu Jul 25 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.10.97-1
- 4.10.97

* Tue Jul 23 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.10.95-1
- 4.10.95

* Fri Jun 28 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.10.90-1
- 4.10.90

* Sat Jun 01 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.10.4-1
- 4.10.4

* Mon May 06 2013 Than Ngo <than@redhat.com> - 4.10.3-1
- 4.10.3

* Thu Apr 25 2013 Rex Dieter <rdieter@fedoraproject.org> 4.10.2-2
- Requires: kde-runtime

* Mon Apr 01 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.10.2-1
- 4.10.2

* Sat Mar 02 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.10.1-1
- 4.10.1

* Fri Feb 01 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.10.0-1
- 4.10.0

* Tue Jan 22 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.9.98-1
- 4.9.98

* Fri Jan 04 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.9.97-1
- 4.9.97

* Thu Dec 20 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.9.95-1
- 4.9.95

* Tue Dec 04 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.9.90-1
- 4.9.90

* Mon Dec 03 2012 Than Ngo <than@redhat.com> - 4.9.4-1
- 4.9.4

* Sat Nov 03 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.9.3-1
- 4.9.3

* Sat Sep 29 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.9.2-1
- 4.9.2

* Mon Sep 03 2012 Than Ngo <than@redhat.com> - 4.9.1-1
- 4.9.1

* Thu Jul 26 2012 Lukas Tinkl <ltinkl@redhat.com> - 4.9.0-1
- 4.9.0

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.8.97-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jul 12 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.8.97-1
- 4.8.97

* Thu Jun 28 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.8.95-1
- 4.8.95

* Sun Jun 10 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.8.90-1
- 4.8.90

* Mon Apr 30 2012 Jaroslav Reznik <jreznik@redhat.com> - 4.8.3-1
- 4.8.3

* Fri Mar 30 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.8.2-1
- 4.8.2

* Mon Mar 05 2012 Jaroslav Reznik <jreznik@redhat.com> - 4.8.1-1
- 4.8.1

* Sun Jan 22 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.8.0-1
- 4.8.0

* Wed Jan 04 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.7.97-1
- 4.7.97

* Thu Dec 22 2011 Radek Novacek <rnovacek@redhat.com> - 4.7.95-1
- 4.7.95

* Mon Dec 19 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.90-2
- %%check: use desktop-file-validate
- use %%find_lang

* Thu Dec 08 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.90-1
- first try
